#ifndef __STATE_H__
#define __STATE_H__

#include "isound/renderer.h"

class State
{
private:
    iObjectRegistry* object_reg;
    csRef<iLoader> loader;
    csRef<iSoundRender> render;

public:
    State(iObjectRegistry* object_reg, csRef<iLoader> loader, csRef<iSoundRender> render, bool play_in_state);
    ~State();
    bool HandleEvent(iEvent& ev);
    void SetupFrame(float elapsed_seconds);
};

#endif