#ifndef __MAIN_H__
#define __MAIN_H__

class Main
{
private:
    iObjectRegistry* object_reg;
    csRef<iLoader> loader;
    csRef<iSoundRender> render;

    static bool MainEventHandler(iEvent& ev);
    bool HandleEvent(iEvent& ev);

public:
    Main(iObjectRegistry* object_reg);
    ~Main();
    bool Initialize();
    void Start();
};

#endif